Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.graph
Class NodeCreateOperation

    java.lang.Object
      org.apache.cayenne.graph.NodeDiff
          org.apache.cayenne.graph.NodeCreateOperation

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable, GraphDiff

    public class NodeCreateOperation

extends NodeDiff

Since:
  1.2
Author:
  Andrus Adamchik
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.cayenne.graph.NodeDiff
`diffId, nodeId`

Constructor Summary
`NodeCreateOperation(java.lang.Object nodeId)`
`NodeCreateOperation(java.lang.Object nodeId, int diffId)`

Method Summary
`void` | `apply(GraphChangeHandler tracker)` Calls appropriate methods on the handler to "replay" this change.
`void` | `undo(GraphChangeHandler tracker)` Calls appropriate methods on the handler to revert this change.

Methods inherited from class org.apache.cayenne.graph.NodeDiff
`compareTo, getDiffId, getNodeId, isNoop, setDiffId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NodeCreateOperation

    public NodeCreateOperation(java.lang.Object nodeId)

### NodeCreateOperation

    public NodeCreateOperation(java.lang.Object nodeId,
                               int diffId)

Method Detail

### apply

    public void apply(GraphChangeHandler tracker)

  Description copied from interface: `GraphDiff`
  Calls appropriate methods on the handler to "replay" this change.

  Specified by:
    `apply` in interface `GraphDiff`
  Specified by:
    `apply` in class `NodeDiff`

### undo

    public void undo(GraphChangeHandler tracker)

  Description copied from interface: `GraphDiff`
  Calls appropriate methods on the handler to revert this change.

  Specified by:
    `undo` in interface `GraphDiff`
  Specified by:
    `undo` in class `NodeDiff`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 Apache.org All Rights Reserved.